Module javafx.base
Package javafx.beans.property

# Class ReadOnlyListPropertyBase<E>

java.lang.Object
javafx.beans.binding.ListExpression<E>
javafx.beans.property.ReadOnlyListProperty<E>
javafx.beans.property.ReadOnlyListPropertyBase<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `List<E>`, `Observable`, `ReadOnlyProperty<ObservableList<E>>`, `ObservableListValue<E>`, `ObservableObjectValue<ObservableList<E>>`, `ObservableValue<ObservableList<E>>`, `ObservableList<E>`

    public abstract class ReadOnlyListPropertyBase<E>
    extends ReadOnlyListProperty<E>

Base class for all readonly properties wrapping an `ObservableList`. This class provides a default implementation to attach listener.

Since:
  JavaFX 2.1
See Also:
  `ReadOnlyListProperty`

- ## Property Summary

  ### Properties declared in class javafx.beans.binding.ListExpression

  `empty, size`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ReadOnlyListPropertyBase()` | Creates a default `ReadOnlyListPropertyBase`.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `fireValueChangedEvent()` | This method needs to be called if the reference to the `ObservableList` changes.
  `protected void` | `fireValueChangedEvent​(ListChangeListener.Change<? extends E> change)` | This method needs to be called if the content of the referenced `ObservableList` changes.

  ### Methods declared in class javafx.beans.property.ReadOnlyListProperty

  `bindContent, bindContentBidirectional, toString, unbindContent, unbindContentBidirectional`

  ### Methods declared in class javafx.beans.binding.ListExpression

  `asString, emptyProperty, getSize, isEqualTo, isNotEqualTo, isNotNull, isNull, listExpression, sizeProperty, valueAt, valueAt`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods declared in interface java.lang.Iterable

  `forEach`

  ### Methods declared in interface java.util.List

  `add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray`

  ### Methods declared in interface javafx.beans.Observable

  `addListener, removeListener`

  ### Methods declared in interface javafx.collections.ObservableList

  `addAll, addListener, filtered, remove, removeAll, removeListener, retainAll, setAll, setAll, sorted, sorted`

  ### Methods declared in interface javafx.beans.value.ObservableObjectValue

  `get`

  ### Methods declared in interface javafx.beans.value.ObservableValue

  `addListener, getValue, removeListener`

  ### Methods declared in interface javafx.beans.property.ReadOnlyProperty

  `getBean, getName`

- ## Constructor Details

  - ### ReadOnlyListPropertyBase

    public ReadOnlyListPropertyBase()
    Creates a default `ReadOnlyListPropertyBase`.

- ## Method Details

  - ### fireValueChangedEvent

    protected void fireValueChangedEvent()
    This method needs to be called if the reference to the `ObservableList` changes. It sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `ListChangeListener`. This method needs to be called, if the value of this property changes.

  - ### fireValueChangedEvent

    protected void fireValueChangedEvent​(ListChangeListener.Change<? extends E> change)
    This method needs to be called if the content of the referenced `ObservableList` changes. Sends notifications to all attached `InvalidationListeners`, `ChangeListeners`, and `ListChangeListener`. This method is called when the content of the list changes.
    Parameters:
      `change` - the change that needs to be propagated